ProgressIndicator.MultiProgress (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers
Class ProgressIndicator.MultiProgress

    java.lang.Object
      org.neo4j.helpers.ProgressIndicator.SimpleProgress
          org.neo4j.helpers.ProgressIndicator.MultiProgress

All Implemented Interfaces:
  ProgressIndicator

Enclosing interface:
  ProgressIndicator

    public abstract static class ProgressIndicator.MultiProgress

extends ProgressIndicator.SimpleProgress

A `ProgressIndicator` that can report the total progress for multiple sources. Needs to be initialized with the total count that should be reached by all sources together. When the entire process (all sources) is completed, `done()` needs to be invoked.

Author:
  Tobias Lindaaker

Nested Class Summary

Nested classes/interfaces inherited from interface org.neo4j.helpers.ProgressIndicator
`ProgressIndicator.Decorator, ProgressIndicator.Factory, ProgressIndicator.MultiProgress, ProgressIndicator.SimpleProgress, ProgressIndicator.Textual, ProgressIndicator.UnknownEndProgress`

Field Summary

Fields inherited from interface org.neo4j.helpers.ProgressIndicator
`NONE`

Constructor Summary
`ProgressIndicator.MultiProgress(long total)` Create a `ProgressIndicator` for multiple sources.

Method Summary
`void` | `done()` Signal that the entire progress (all sources) is done.
`void` | `done(long totalSegmentProgress)` Mark the process as done with the current source.
`static ProgressIndicator.MultiProgress` | `textual(PrintStream out, long total)` Returns a simple `ProgressIndicator` that reports progress by printing to the provided stream.

Methods inherited from class org.neo4j.helpers.ProgressIndicator.SimpleProgress
`phase, progress, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressIndicator.MultiProgress

    public ProgressIndicator.MultiProgress(long total)

  Create a `ProgressIndicator` for multiple sources.

  Parameters:
    `total` - the total count the entire process (all sources) will reach.

Method Detail

### textual

    public static ProgressIndicator.MultiProgress textual(PrintStream out,
                                                          long total)

  Returns a simple `ProgressIndicator` that reports progress by printing to the provided stream.

  Parameters:
    `out` - the stream to print progress indication to.
    `total` - the total count the entire process (all sources) will reach.
  Returns:
    a simple `ProgressIndicator` that reports progress by printing to the provided stream.

### done

    public void done(long totalSegmentProgress)

  Description copied from interface: `ProgressIndicator`
  Mark the process as done with the current source.

  Specified by:
    `done` in interface `ProgressIndicator`
  Overrides:
    `done` in class `ProgressIndicator.SimpleProgress`
  Parameters:
    `totalSegmentProgress` - the total progress reached by the source.

### done

    public void done()

  Signal that the entire progress (all sources) is done.

  Specified by:
    `done` in interface `ProgressIndicator`
  Overrides:
    `done` in class `ProgressIndicator.SimpleProgress`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.